# Generated by Django 3.1 on 2021-03-02 10:09

import django.contrib.gis.db.models.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateField(auto_now=True)),
                ('city_insee_code', models.IntegerField(unique=True)),
                ('epci_code', models.IntegerField()),
                ('epci_name', models.CharField(max_length=46)),
                ('city_name', models.CharField(max_length=39)),
                ('departement', models.CharField(max_length=3)),
                ('public_service_access', models.BooleanField()),
                ('nscol15p_rate', models.FloatField()),
                ('menseul_rate', models.FloatField()),
                ('fammono_rate', models.FloatField()),
                ('older_65_rate', models.FloatField()),
                ('younger_25_rate', models.FloatField()),
                ('mobile_coverage', models.FloatField()),
                ('thd_coverate_rate', models.FloatField()),
                ('unemployement_rate', models.FloatField()),
                ('poverty_rate', models.FloatField()),
                ('rsa_rate', models.FloatField()),
                ('geometry', django.contrib.gis.db.models.fields.GeometryField(blank=True, null=True, srid=4326)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
